<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mods	Semasa - Surfer\'s Live Local Time mod
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function Semasa_Times(&$buffer)
{
	global $modSettings, $context, $txt;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;
	// Define the old and the new	
	$semasa = array();
	if (!empty($modSettings['semasa_enable'])) {
		// Load language(s)
		loadLanguage('Semasa');
		$statictime = '<li>' . $context['current_time'] . '</li>';
		$livetime = '<li><div id="menu_masa">' . date((!empty($modSettings['semasa_date']) ? $modSettings['semasa_date'] : 'l, d F Y,')) . ' <span id="masa">' . $txt['semasa_load'] . '</span><script type="text/javascript">//<![CDATA[
				function JamHidup() {
					var t=new Date(); var j=t.getHours(); var d=t.getMinutes(); var s=t.getSeconds(); var kala; if (j<=9) {j="0" + j} if (d<=9) {d="0" + d} if (s<=9) {s="0" + s} if (j>=13) {j-=12;kala = " ' . $txt['time_pm'] . '"} else {kala=" ' . $txt['time_am'] . '"} 
					document.getElementById("masa").innerHTML=j + ":" + d + ":" + s + kala; setTimeout("JamHidup()",1000);
				} JamHidup();
			//]]></script></div></li>';
		$semasa[$statictime] = $livetime;
	}
	if (!empty($modSettings['semasa_guest_time'])) {
		// Load language(s)
		loadLanguage('Semasa');
		$guestnotime = '<div class="info">' . $txt['quick_login_dec'] . '</div>';
		$guesthastime = '<div class="info">' . $txt['quick_login_dec'] . '</div>
					<div id="menu_masa">' . date((!empty($modSettings['semasa_date']) ? $modSettings['semasa_date'] : 'l, d F Y,')) . ' <span id="masa">' . $txt['semasa_load'] . '</span><script type="text/javascript">//<![CDATA[
						function JamHidup() {
							var t=new Date(); var j=t.getHours(); var d=t.getMinutes(); var s=t.getSeconds(); var kala; if (j<=9) {j="0" + j} if (d<=9) {d="0" + d} if (s<=9) {s="0" + s} if (j>=13) {j-=12;kala = " ' . $txt['time_pm'] . '"} else {kala=" ' . $txt['time_am'] . '"} 
							document.getElementById("masa").innerHTML=j + ":" + d + ":" + s + kala; setTimeout("JamHidup()",1000);
						} JamHidup();
					//]]></script></div><br />';
		$semasa[$guestnotime] = $guesthastime;
	}
	// Now let's change them, if we're allowed to
	return str_replace(array_keys($semasa), array_values($semasa), $buffer);
}

function Semasa_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('Semasa');
	// Add setting(s)
	$semasa = array(
			'',
			array('check', 'semasa_enable'),
			array('check', 'semasa_guest_time'),
			array('text', 'semasa_date'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $semasa);
}
?>